﻿@using T = ToitKoju;
@model IEnumerable<ToitKoju.Category>

@{
    ViewBag.Title = "Shop";
}

<h2>Toidud</h2>

@if (Request.IsAuthenticated)
{
    T.User u = T.User.GetByEmail(User.Identity.Name);
    if (u != null && u.IsInRoleAdmin)
    {
        @Html.ActionLink("Create New", "Create", "Recipies")
    }
}
<p>
    Select from @Model.Count()
    category:

</p>


<table>

    <ul>
        @foreach (var category in Model)
        {
        <tr>
            <td>
                <p>@Html.ActionLink(category.CategoryName, "Browse", new { category = category.CategoryName }) </p>
            </td>
            
            <td><img src='@Url.Action( "CategoryImage", "Shop", new { id = category.CategoryID } )' class="img-rounded" alt="Cinque Terre" width="200" height="200" /></td>

            @if (Request.IsAuthenticated)
    {
        T.User u = T.User.GetByEmail(User.Identity.Name);
        if (u != null && u.IsInRoleAdmin)
        {
            <td> @Html.ActionLink("Edit", "Edit", new { id = category.CategoryID })</td>

}
}
        </tr>
        }
    </ul>

</table>




@*@using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h4>Category</h4>
            <hr />
            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-group">
                @Html.LabelFor(model => model.CategoryName, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.CategoryName, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.CategoryName, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Picture, htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Picture, new { htmlAttributes = new { @class = "form-control" } })
                    @Html.ValidationMessageFor(model => model.Picture, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Create" class="btn btn-default" />
                </div>
            </div>
        </div>*@
@*}*@

<div>
    @Html.ActionLink("Avalehele", "Index", "Home")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
